%bcond_without check

%global goipath         github.com/sourcegraph/jsonrpc2
Version:                0.1.0

%gometa

%global common_description %{expand:
Package jsonrpc2 provides a client and server implementation of JSON-RPC 2.0.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Package jsonrpc2 provides a client and server implementation of JSON-RPC 2.0

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/gorilla/websocket)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
